#include "plotter.h"

Plotter::Plotter(QObject *parent)
    : QObject(parent)
{
}

Plotter::~Plotter()
{
}

void Plotter::updateSeries(QAbstractSeries *series)
{
    if (series && m_points.value<QVector<QPointF>*>()) {
        auto xySeries = static_cast<QXYSeries *>(series);
        xySeries->replace(*m_points.value<QVector<QPointF>*>());
    }
}
